site_name: Developer Guide
#site_description: Portail Data Project Documentation with Markdown.
site_author: Métropole de Lyon

theme:
  name: null
  custom_dir: 'custom-material-theme'
  language: en
  palette:
    primary: dark-blue
    accent: dgl-red
  font:
    text: Titillium Web
    code: Roboto Mono
  logo: "/assets/images/logo.png"
  favicon: "/assets/images/favicon.png"
  feature:
    tabs: false

extra_css: [extra.css]

markdown_extensions:
    - plantuml_markdown:
        server: http://www.plantuml.com/plantuml

nav:
    - Home: index.md
    - Overview: overview/index.md
    - Architecture: architecture/index.md
    - Components:
      - Core Components:
        - Legacy AUTH: components/core/legacy-auth.md
      - Custom apps:
        - Web App:
          - Overview: components/custom-apps/web-app/overview.md
          - Homepage: components/custom-apps/web-app/homepage.md
          - Changelog: components/custom-apps/web-app/changelog.md
          - Feedback: components/custom-apps/web-app/feedback.md
          - Reuses: components/custom-apps/web-app/reuses.md
          - Partners: components/custom-apps/web-app/partners.md
          - Credits: components/custom-apps/web-app/credits.md
          - Static pages: components/custom-apps/web-app/static-pages.md
          - Dataset:
            - Data: components/custom-apps/web-app/dataset/data.md
            - Information: components/custom-apps/web-app/dataset/info.md
            - API & Downloads: components/custom-apps/web-app/dataset/resources.md
          - Header: components/custom-apps/web-app/header.md
          - Footer: components/custom-apps/web-app/footer.md
          - Drafts: components/custom-apps/web-app/drafts.md
          - Side Menu: components/custom-apps/web-app/side-menu.md
          - Sign Up, Sign In, Sign Out: components/custom-apps/web-app/sign-up-in-out.md
          - Contact: components/custom-apps/web-app/contact.md
          - Search: components/custom-apps/web-app/search.md
        - Admin GUI: components/custom-apps/admin-gui.md
      - Off-the-shelf applications:
        - API Gateway: components/off-the-shelf-apps/api-gateway.md
        - Headless CMS: components/off-the-shelf-apps/cms.md
        - Search Engine: components/off-the-shelf-apps/elasticsearch.md
      - Middlewares:
        - Legacy AUTH: components/middlewares/legacy-auth.md
      - Proxies:
        - Web mapping services: components/proxies/web-mapping-services.md
      - Miscellaneous:
        - Maintenance page: components/miscellaneous/maintenance-page.md
      - Indexers:
        - Metadata and Data: components/indexers/metadata-and-data.md
        - Editorial Content: components/indexers/editorial-content.md
      - Services:
        - Authentication: components/services/authentication.md
        - Changelog: components/services/changelog.md
        - Credits: components/services/credits.md
        - Reuses: components/services/reuses.md
        - CSV Catalog Downloader: components/services/csv-catalog-downloader.md
        - Mailer: components/services/mailer.md
        - Media Library: components/services/media-library.md
        - Organizations: components/services/organizations.md
        - Resources helper: components/services/resources-helper.md
        - Social media share helper: components/services/social-media-share-helper.md
      - Tools:
        - Minio master-slave mirror: components/tools/minio-master-slave-mirror.md
    - Administration: administration/admin-tools.md
    - Deployment:
      - 2019 deployment of the first public beta version: deployment/beta-deployment.md
    - Monitoring: monitoring/monitoring.md
    - Other:
      - Security: miscellaneous/security.md
      - NestJS-based micro-services: miscellaneous/nestjs-micro-services.md
      - Accessibility: miscellaneous/accessibility.md
      - AUTHN & AUTHZ: miscellaneous/authentication&authorization.md
      - Gitflow: miscellaneous/gitflow-ci-cd.md
      - VSCode: miscellaneous/vscode-settings.md
      - SASS recommendation: miscellaneous/sass-recommendation.md
      - Webapp-auth: miscellaneous/webapp-auth.md
      - Multi-environment docker build for Angular app: miscellaneous/multi-environments-docker-build-for-angular.md
